# List of base branches where the review should be triggered.
# If a PR targets one of these branches, the review will run.
# You can add or remove branches here as needed.
# If this section is removed, the review will run for all PRs by default.
target_branches: ["main", "develop"]

# List of characteristics to focus the review on.
# You can remove any of these to customize the review.
# Adding items outside this list won't affect the review.
# If this section is removed, all 7 default characteristics will be used.
preferred_characteristics: ["Modularity", "Resource Utilization", "Exception Handling", "Monitoring and Logging", "Dependency Injection", "Code Injection", "Input Validation"]

# Optional: Add your own custom rules or things to check for in the code.
# Use the format shown below. These lines are examples and currently commented out.
# Uncomment and edit them or add your own if needed.
# If this section is removed, only the default review checks will be applied.

# additional_instructions:
#   - No exposed secrets or API keys
#   - No console.log , print , System.out.println left in code